<?php

namespace plugin\admin\app\controller;

use plugin\admin\app\controller\Crud;

/**
 * 用户充值 
 */
class RechargeController  extends Crud
{
    
    /**
     * @var \app\model\Recharge
     */
    protected $model = null;
    protected $relationSearch = ['user'];
    /**
     * 构造函数
     * @return void
     */
    function __construct()
    {
        $this->model = new \app\model\Recharge();
        $statusList = $this->model->getStatusList();
        $this->assign("statusList", $statusList);
        $this->assignconfig("statusList", $statusList);
        $this->assign("networkList", $this->model->getNetworkList());
        $this->assignconfig("networkList", $this->model->getNetworkList());
    }

}
